LINUX.ORG.RU

Opensuse и проприетарные дрова от АМД

 ,


0

1

Люди добрые помогите! У меня Opensuse Leap 42.3 Вообщем нужно поставить проприетарные дрова АМД с сайта, система свежеустановленная, все делаю по инструкции но после установки пропр.дров и перезагрузки X server не запускается из консоли вошел в YAST удалил свежеустановленные дрова, перезагрузился - все нормально графическая оболочка запустилась, на других линуксах проприетарные дрова

устанавливаются нормально, но хочется опенсьюзи. В общем проблема как я понял в том что в системе уже стоят дрова для АМД, не проприетарные я так понимаю, и проприетарные дрова при установке с ними конфликтуют -

система выводит сообщения о конфликте и о нарушении зависимостей пакетов, система свежеустановленная, пробовал несолько раз переустанавливать - все одно и тоже так что

какие либо мои действия тут не причем. В процессе установки пропр.дров система выводит сообщения о таких ошибках:

Problem: nothing provides Xorg needed by xorg-x11-drv-amdgpu-pro-1:1.3.99-483984.el7.x86_64 Solution 1: do not install amdgpu-pro-17.40-483984.el7.x86_64 Solution 2: break xorg-x11-drv-amdgpu-pro-1:1.3.99-483984.el7.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/c] ©:

Problem: nothing provides mesa-filesystem(x86-64) needed by mesa-amdgpu-pro-vdpau-drivers-1:17.0.1-483984.el7.x86_64 Solution 1: do not install amdgpu-pro-17.40-483984.el7.x86_64 Solution 2: break mesa-amdgpu-pro-vdpau-drivers-1:17.0.1-483984.el7.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/c] ©:

Problem: nothing provides xorg-x11-server-Xorg needed by glamor-egl-amdgpu-pro-1.19.0-483984.el7.x86_64 Solution 1: do not install amdgpu-pro-17.40-483984.el7.x86_64 Solution 2: break glamor-egl-amdgpu-pro-1.19.0-483984.el7.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/c] ©:

Во всех 3-х случаях я выбирал 2 - порвать зависимость, т.к. иначе драйвер не установить

Итого получается что проприетарные дрова при установке конфликтуют с уже имеющимися в системе пакетами xorg-x11-drv-amdgpu-pro-1:1.3.99-483984.el7.x86_64 mesa-amdgpu-pro-vdpau-drivers-1:17.0.1-483984.el7.x86_64 glamor-egl-amdgpu-pro-1.19.0-483984.el7.x86_64

Что делать как разрешить эти конфликты?

Какая модель видеокарты?

Вот там сказано как делать https://en.opensuse.org/SDB:AMDGPU-PRO

В той инструкции есть ссылка на сайт AMD с тарболом в котором несколько пакетов (архивированный репозиторий), в том числе те, которые указаны в сообщениях о конфликтах. Их тоже нужно установить.

spectr00 ★★★ ()
Последнее исправление: spectr00 (всего исправлений: 1 )

Юзай amdgpu

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.